﻿using System;
using System.Data.SqlClient;
using System.Web.Configuration;
using System.Web.Management;

/// <summary>
/// Wrapper class to Install and uninstall ASP.NET Application Services.
/// </summary>
public class ApplicationServices
{
	static string connectionString = WebConfigurationManager.ConnectionStrings["ApplicationServices"].ConnectionString;
	static SqlConnectionStringBuilder myBuilder = new SqlConnectionStringBuilder(connectionString);

	/// <summary>
	/// Installs the requested Application Services.
	/// </summary>
	public static void InstallServices(SqlFeatures sqlFeatures)
	{
		SqlServices.Install(myBuilder.InitialCatalog, sqlFeatures, connectionString);
	}

	/// <summary>
	/// Uninstalls the requested Application Services.
	/// </summary>
	public static void UninstallServices(SqlFeatures sqlFeatures)
	{
		SqlServices.Uninstall(myBuilder.InitialCatalog, sqlFeatures, connectionString);
	}
}

